Bug 184543 - [iOS] AirPlay device name is sometimes wrong
Summary: [iOS] AirPlay device name is sometimes wrong
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Media (show other bugs)
Version: Other
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Eric Carlson
URL:
Keywords: InRadar
Depends on:
Blocks:
 
Reported: 2018-04-12 09:06 PDT by Eric Carlson
Modified: 2018-04-17 07:55 PDT (History)
5 users (show)

See Also:


Attachments
Patch (4.92 KB, patch)
2018-04-12 11:42 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch (5.01 KB, patch)
2018-04-12 11:50 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch (5.08 KB, patch)
2018-04-12 11:54 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (5.14 KB, patch)
2018-04-12 13:01 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (5.57 KB, patch)
2018-04-12 13:49 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews107 for mac-sierra-wk2 (4.19 MB, application/zip)
2018-04-12 14:40 PDT, Build Bot
no flags Details
Patch for landing (5.60 KB, patch)
2018-04-12 14:48 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (7.66 KB, patch)
2018-04-16 13:41 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (7.63 KB, patch)
2018-04-16 13:58 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (7.97 KB, patch)
2018-04-16 14:40 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff
Patch for landing (8.52 KB, patch)
2018-04-17 06:15 PDT, Eric Carlson
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Eric Carlson 2018-04-12 09:06:40 PDT
AirPlay device name is sometimes wrong
Comment 1 Eric Carlson 2018-04-12 09:07:55 PDT
<rdar://problem/39105498>
Comment 2 Eric Carlson 2018-04-12 11:42:41 PDT
Created attachment 337814 [details]
Patch
Comment 3 Jer Noble 2018-04-12 11:45:32 PDT
Comment on attachment 337814 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=337814&action=review

> Source/WebCore/platform/graphics/avfoundation/objc/MediaPlayerPrivateAVFoundationObjC.mm:2791
> +    if ([getAVOutputContextClass() respondsToSelector:@selector(sharedAudioPresentationOutputContext)]) {

Nit: should this be below the AVFoundationLibrary() check below?
Comment 4 Eric Carlson 2018-04-12 11:50:44 PDT
Created attachment 337817 [details]
Patch

Patch for landing
Comment 5 Eric Carlson 2018-04-12 11:54:43 PDT
Created attachment 337818 [details]
Patch

Patch for landing
Comment 6 Eric Carlson 2018-04-12 13:01:38 PDT
Created attachment 337824 [details]
Patch for landing

Patch for landing
Comment 7 Eric Carlson 2018-04-12 13:49:33 PDT
Created attachment 337832 [details]
Patch for landing

Patch for landing
Comment 8 Build Bot 2018-04-12 14:40:01 PDT
Comment on attachment 337832 [details]
Patch for landing

Attachment 337832 [details] did not pass mac-wk2-ews (mac-wk2):
Output: http://webkit-queues.webkit.org/results/7297841

New failing tests:
animations/animation-followed-by-transition.html
Comment 9 Build Bot 2018-04-12 14:40:03 PDT
Created attachment 337836 [details]
Archive of layout-test-results from ews107 for mac-sierra-wk2

The attached test failures were seen while running run-webkit-tests on the mac-wk2-ews.
Bot: ews107  Port: mac-sierra-wk2  Platform: Mac OS X 10.12.6
Comment 10 Eric Carlson 2018-04-12 14:48:23 PDT
Created attachment 337838 [details]
Patch for landing

Patch for landing
Comment 11 Eric Carlson 2018-04-16 13:41:32 PDT
Created attachment 338033 [details]
Patch for landing

Patch for landing
Comment 12 Eric Carlson 2018-04-16 13:58:27 PDT
Created attachment 338037 [details]
Patch for landing

Patch for landing
Comment 13 Eric Carlson 2018-04-16 14:40:14 PDT
Created attachment 338043 [details]
Patch for landing

Patch for landing
Comment 14 Eric Carlson 2018-04-17 06:15:16 PDT
Created attachment 338103 [details]
Patch for landing

Patch for landing
Comment 15 WebKit Commit Bot 2018-04-17 07:55:48 PDT
Comment on attachment 338103 [details]
Patch for landing

Clearing flags on attachment: 338103

Committed r230708: <https://trac.webkit.org/changeset/230708>
Comment 16 WebKit Commit Bot 2018-04-17 07:55:49 PDT
All reviewed patches have been landed.  Closing bug.